#include <pic.h>
#include "delay.c"
#include "DMLCD2R.h"
#include "UART628.h"

__CONFIG (0x3F61);

void main(void)
{
unsigned char buffer;

CMCON=0x07;	// Disabilita i comparatori, per usare la PORTA come I/O
PORTA=0x00;	// Azzera la porta A
PORTB=0x04;	// Azzera la porta B
TRISA=0x00;
TRISB=0x02;	// Setta RB1 come input, il resto come out in particolare RB2

	uart_init();				// Inizializza l'UART del PIC
	lcd_init();					// Inizializza il display

	uart_puts("16F628 Ready");	// Invia una stringa al PC
	uart_putch(0x0A);			// Invia un singolo carattere
	uart_putch(0x0D);
	uart_puts("> ");

	lcd_clear();				// Cancella il display
	lcd_puts("628 Terminal:");	// Scrive un messaggio sul display
	lcd_pos_cur(1,0);			// Si posiziona sulla seconda riga

	while(1)					// Loop infinito
	{
		buffer=uart_getch();	// Aspetta un carattere dal PC
		lcd_putch(buffer);		// Scrive il carattere sul display
	}
}
